Rivet: Experiment-specific electron efficiency and smearing functions

| Rivet 3.1.9

Functions
Experiment-specific electron efficiency and smearing functions
Detector smearing & efficiency functions

## Functions
double | Rivet::ELECTRON_RECOEFF_ATLAS_RUN1 (const Particle &e)
double | Rivet::ELECTRON_RECOEFF_ATLAS_RUN2 (const Particle &e)
double | Rivet::ELECTRON_EFF_ATLAS_RUN2_LOOSE (const Particle &e)
| ATLAS Run 2 'loose' electron reco+identification efficiency.
double | Rivet::ELECTRON_EFF_ATLAS_RUN1_MEDIUM (const Particle &e)
| ATLAS Run 1 'medium' electron reco+identification efficiency.
double | Rivet::ELECTRON_EFF_ATLAS_RUN2_MEDIUM (const Particle &e)
| ATLAS Run 2 'medium' electron reco+identification efficiency.
double | Rivet::ELECTRON_EFF_ATLAS_RUN1_TIGHT (const Particle &e)
| ATLAS Run 1 'tight' electron reco+identification efficiency.
double | Rivet::ELECTRON_EFF_ATLAS_RUN2_TIGHT (const Particle &e)
| ATLAS Run 2 'tight' electron reco+identification efficiency.
Particle | Rivet::ELECTRON_SMEAR_ATLAS_RUN1 (const Particle &e)
| ATLAS Run 1 electron reco smearing.
Particle | Rivet::ELECTRON_SMEAR_ATLAS_RUN2 (const Particle &e)
double | Rivet::ELECTRON_EFF_CMS_RUN1 (const Particle &e)
| CMS Run 1 electron reconstruction efficiency.
double | Rivet::ELECTRON_EFF_CMS_RUN2 (const Particle &e)
Particle | Rivet::ELECTRON_SMEAR_CMS_RUN1 (const Particle &e)
| CMS electron energy smearing, preserving direction.
Particle | Rivet::ELECTRON_SMEAR_CMS_RUN2 (const Particle &e)

## Detailed Description

## Function Documentation

## ◆ ELECTRON_EFF_ATLAS_RUN2_LOOSE()

double Rivet::ELECTRON_EFF_ATLAS_RUN2_LOOSE | ( | const Particle & | e | ) |
| inline

ATLAS Run 2 'loose' electron reco+identification efficiency.

Values read from Fig 3 of ATL-PHYS-PUB-2015-041

Todo:
  What about faking by jets or non-electrons?

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), Rivet::binIndex(), Rivet::ELECTRON_RECOEFF_ATLAS_RUN2(), Rivet::ParticleBase::Et(), and Rivet::min().

## ◆ ELECTRON_EFF_ATLAS_RUN2_MEDIUM()

double Rivet::ELECTRON_EFF_ATLAS_RUN2_MEDIUM | ( | const Particle & | e | ) |
| inline

ATLAS Run 2 'medium' electron reco+identification efficiency.

~1% increase over Run 1 informed by Fig 1 in https://cds.cern.ch/record/2157687/files/ATLAS-CONF-2016-024.pdf

References Rivet::Particle::abspid(), and Rivet::ELECTRON_EFF_ATLAS_RUN1_MEDIUM().

## ◆ ELECTRON_EFF_ATLAS_RUN2_TIGHT()

double Rivet::ELECTRON_EFF_ATLAS_RUN2_TIGHT | ( | const Particle & | e | ) |
| inline

ATLAS Run 2 'tight' electron reco+identification efficiency.

~1% increase over Run 1 informed by Fig 1 in https://cds.cern.ch/record/2157687/files/ATLAS-CONF-2016-024.pdf

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), Rivet::binIndex(), Rivet::ELECTRON_RECOEFF_ATLAS_RUN2(), and Rivet::ParticleBase::Et().

## ◆ ELECTRON_EFF_CMS_RUN1()

double Rivet::ELECTRON_EFF_CMS_RUN1 | ( | const Particle & | e | ) |
| inline

CMS Run 1 electron reconstruction efficiency.

Todo:
  Add charge flip efficiency?

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), and Rivet::ParticleBase::pT().

Referenced by Rivet::ELECTRON_EFF_CMS_RUN2().

## ◆ ELECTRON_EFF_CMS_RUN2()

double Rivet::ELECTRON_EFF_CMS_RUN2 | ( | const Particle & | e | ) |
| inline

CMS Run 2 electron reco efficiency

Todo:
  Currently just a copy of Run 1: fix!

References Rivet::Particle::abspid(), and Rivet::ELECTRON_EFF_CMS_RUN1().

## ◆ ELECTRON_RECOEFF_ATLAS_RUN1()

double Rivet::ELECTRON_RECOEFF_ATLAS_RUN1 | ( | const Particle & | e | ) |
| inline

ATLAS Run 1 electron reconstruction efficiency

Todo:
  Include reco eff (but no e/y discrimination) in forward region

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), and Rivet::ParticleBase::pT().

Referenced by Rivet::ELECTRON_EFF_ATLAS_RUN1_MEDIUM(), and Rivet::ELECTRON_EFF_ATLAS_RUN1_TIGHT().

## ◆ ELECTRON_RECOEFF_ATLAS_RUN2()

double Rivet::ELECTRON_RECOEFF_ATLAS_RUN2 | ( | const Particle & | e | ) |
| inline

ATLAS Run 2 electron reco efficiency

Based on https://arxiv.org/pdf/1902.04655.pdf Fig 2

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), and Rivet::ParticleBase::Et().

Referenced by Rivet::ELECTRON_EFF_ATLAS_RUN2_LOOSE(), and Rivet::ELECTRON_EFF_ATLAS_RUN2_TIGHT().

## ◆ ELECTRON_SMEAR_ATLAS_RUN2()

Particle Rivet::ELECTRON_SMEAR_ATLAS_RUN2 | ( | const Particle & | e | ) |
| inline

ATLAS Run 2 electron reco smearing

Todo:
  Currently just a copy of the Run 1 version: fix!

References Rivet::ELECTRON_SMEAR_ATLAS_RUN1().

## ◆ ELECTRON_SMEAR_CMS_RUN1()

Particle Rivet::ELECTRON_SMEAR_CMS_RUN1 | ( | const Particle & | e | ) |
| inline

CMS electron energy smearing, preserving direction.

Calculate resolution for pT > 0.1 GeV, E resolution = |eta| < 0.5 -> sqrt(0.06^2 + pt^2 * 1.3e-3^2) |eta| < 1.5 -> sqrt(0.10^2 + pt^2 * 1.7e-3^2) |eta| < 2.5 -> sqrt(0.25^2 + pt^2 * 3.1e-3^2)

References Rivet::ParticleBase::abseta(), Rivet::Kin::abseta(), Rivet::add_quad(), Rivet::P4_SMEAR_E_GAUSS(), Rivet::Particle::pid(), and Rivet::ParticleBase::pT().

Referenced by Rivet::ELECTRON_SMEAR_CMS_RUN2().

## ◆ ELECTRON_SMEAR_CMS_RUN2()

Particle Rivet::ELECTRON_SMEAR_CMS_RUN2 | ( | const Particle & | e | ) |
| inline

CMS Run 2 electron reco smearing

Todo:
  Currently just a copy of the Run 1 version: fix!

References Rivet::ELECTRON_SMEAR_CMS_RUN1().